{{ $ctx := .ctx | default . }}
{{ $params := .params | default . }}

<div class="card banner bg-light text-light">
    {{ $img_params := (dict 
        "src" $params.Background 
        "alt" $params.Title 
        "media_page" "headless_media"
        "class" "card-img" )}}
    {{ with (dict "Page" $ctx.Page "params" $img_params) }}
        {{ partial "img" . }}
    {{ end }}
    <div class="card-img-overlay d-flex flex-column">
        <h3 class="card-title">{{ $params.Title }} </h3>
        <hr>
        <p class="card-text text-center flex-grow-1">
            {{ $params.Description }}
        </p>
        <a href="{{ $ctx.Page.Permalink }}" class="btn btn-primary mt-auto">More Details</a>
    </div>
</div>
